Gift Certificate
Add a gift certificate ledger entry
POST
/gift_certificate/gift_certificates/{gift_certificate_oid}/ledger_entryAdds a ledger entry for this gift certificate.
Create a gift certificate
POST
/gift_certificate/gift_certificatesCreates a gift certificate for this merchant account.
Delete a gift certificate
DELETE
/gift_certificate/gift_certificates/{gift_certificate_oid}Deletes a gift certificate for this merchant account.
Retrieve gift certificate by code
POST
/gift_certificate/gift_certificates/by_code/{code}Retrieves a gift certificate from the account based on the code (the value the customer enters at checkout time).
Retrieve gift certificate by email
POST
/gift_certificate/gift_certificates/by_email/{email}Retrieves all gift certificates from the account based on customer email.
Retrieve gift certificate by oid
POST
/gift_certificate/gift_certificates/{gift_certificate_oid}Retrieves a gift certificate from the account based on the internal primary key.
Retrieve gift certificates by query
POST
/gift_certificate/gift_certificates/queryRetrieves gift certificates from the account.
Update a gift certificate
PUT
/gift_certificate/gift_certificates/{gift_certificate_oid}Update a gift certificate for this merchant account.
Was this page helpful?